<?xml version='1.0' encoding='UTF-8'?><wsdl:definitions name="Orders" targetNamespace="http://ws.sodmt.uca.es/" xmlns:ns1="http://ws.sodmt.uca.es/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <wsdl:types>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.sodmt.uca.es/" xmlns:tns="http://ws.sodmt.uca.es/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="close" type="tns:close"/>
  <xs:element name="closeResponse" type="tns:closeResponse"/>
  <xs:element name="evaluate" type="tns:evaluate"/>
  <xs:element name="evaluateResponse" type="tns:evaluateResponse"/>
  <xs:element name="list" type="tns:list"/>
  <xs:element name="listResponse" type="tns:listResponse"/>
  <xs:element name="query" type="tns:query"/>
  <xs:element name="queryResponse" type="tns:queryResponse"/>
  <xs:complexType name="close">
    <xs:sequence>
      <xs:element name="orderID" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="closeResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:orderCloseResponse"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderCloseResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="closedTimestamp" type="xs:dateTime"/>
      <xs:element name="orderID" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderAlreadyClosedBean">
    <xs:sequence>
      <xs:element name="orderId" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="missingOrderBean">
    <xs:sequence>
      <xs:element name="orderId" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="list">
    <xs:sequence/>
  </xs:complexType>
  <xs:complexType name="listResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:orderListResponse"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderListResponse">
    <xs:sequence>
      <xs:element maxOccurs="unbounded" minOccurs="0" name="orderIds" nillable="true" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="query">
    <xs:sequence>
      <xs:element name="orderID" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="queryResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:orderQueryResponse"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderQueryResponse">
    <xs:sequence>
      <xs:element name="accepted" type="xs:boolean"/>
      <xs:element maxOccurs="unbounded" minOccurs="0" name="lines" nillable="true" type="tns:simpleOrderLine"/>
      <xs:element name="open" type="xs:boolean"/>
      <xs:element name="orderId" type="xs:long"/>
      <xs:element minOccurs="0" name="timestamp" type="xs:dateTime"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="simpleOrderLine">
    <xs:sequence>
      <xs:element name="articleId" type="xs:long"/>
      <xs:element minOccurs="0" name="price" type="xs:decimal"/>
      <xs:element minOccurs="0" name="qty" type="xs:decimal"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="evaluate">
    <xs:sequence>
      <xs:element minOccurs="0" name="newOrder" type="tns:orderEvaluateRequest"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderEvaluateRequest">
    <xs:sequence>
      <xs:element maxOccurs="unbounded" minOccurs="0" name="articleQuantities" nillable="true" type="tns:orderEvaluateRequestItem"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderEvaluateRequestItem">
    <xs:sequence>
      <xs:element name="articleID" type="xs:long"/>
      <xs:element minOccurs="0" name="quantity" type="xs:decimal"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="evaluateResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:orderEvaluateResponse"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="orderEvaluateResponse">
    <xs:sequence>
      <xs:element name="orderId" type="xs:long"/>
      <xs:element minOccurs="0" name="result" type="tns:orderEvaluateResult"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="missingArticleBean">
    <xs:sequence>
      <xs:element name="articleID" type="xs:long"/>
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="orderEvaluateResult">
    <xs:restriction base="xs:string">
      <xs:enumeration value="REJECTED"/>
      <xs:enumeration value="ACCEPTED"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="OrderAlreadyClosed" nillable="true" type="tns:orderAlreadyClosedBean"/>
  <xs:element name="MissingOrder" nillable="true" type="tns:missingOrderBean"/>
  <xs:element name="MissingArticle" nillable="true" type="tns:missingArticleBean"/>
</xs:schema>
  </wsdl:types>
  <wsdl:message name="query">
    <wsdl:part element="ns1:query" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="closeResponse">
    <wsdl:part element="ns1:closeResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="OrderAlreadyClosed">
    <wsdl:part element="ns1:OrderAlreadyClosed" name="OrderAlreadyClosed">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="evaluateResponse">
    <wsdl:part element="ns1:evaluateResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="evaluate">
    <wsdl:part element="ns1:evaluate" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="MissingOrder">
    <wsdl:part element="ns1:MissingOrder" name="MissingOrder">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="MissingArticle">
    <wsdl:part element="ns1:MissingArticle" name="MissingArticle">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="close">
    <wsdl:part element="ns1:close" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="list">
    <wsdl:part element="ns1:list" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryResponse">
    <wsdl:part element="ns1:queryResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="listResponse">
    <wsdl:part element="ns1:listResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="Orders">
    <wsdl:operation name="close">
      <wsdl:input message="ns1:close" name="close">
    </wsdl:input>
      <wsdl:output message="ns1:closeResponse" name="closeResponse">
    </wsdl:output>
      <wsdl:fault message="ns1:MissingOrder" name="MissingOrder">
    </wsdl:fault>
      <wsdl:fault message="ns1:OrderAlreadyClosed" name="OrderAlreadyClosed">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="list">
      <wsdl:input message="ns1:list" name="list">
    </wsdl:input>
      <wsdl:output message="ns1:listResponse" name="listResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="query">
      <wsdl:input message="ns1:query" name="query">
    </wsdl:input>
      <wsdl:output message="ns1:queryResponse" name="queryResponse">
    </wsdl:output>
      <wsdl:fault message="ns1:MissingOrder" name="MissingOrder">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="evaluate">
      <wsdl:input message="ns1:evaluate" name="evaluate">
    </wsdl:input>
      <wsdl:output message="ns1:evaluateResponse" name="evaluateResponse">
    </wsdl:output>
      <wsdl:fault message="ns1:MissingArticle" name="MissingArticle">
    </wsdl:fault>
    </wsdl:operation>
  </wsdl:portType>
</wsdl:definitions>